## kde-style-qtcurve 0.55.2

=== CMakeLists.txt ===
project(QtCurve-KDE3)
cmake_minimum_required(VERSION 2.4.0)

set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_GENERATOR "DEB;RPM;TGZ")
set(DEBIAN_PACKAGE_DESCRIPTION "QtCurve for Qt3/KDE3")
set(DEBIAN_PACKAGE_SECTION "kde")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_PACKAGE_VERSION_MAJOR "0")
set(CPACK_PACKAGE_VERSION_MINOR "55")
set(CPACK_PACKAGE_VERSION_PATCH "2")
set(CPACK_PACKAGE_CONTACT "Craig Drummond <Craig.Drummond@lycos.co.uk>")
set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
include(CPack)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

find_package(KDE3 REQUIRED)
include(KDE3Macros)

exec_program(kde-config
             ARGS --prefix
             OUTPUT_VARIABLE CMAKE_INSTALL_PREFIX)

file(TO_CMAKE_PATH "$ENV{KDEDIRS}" _KDEDIRS)

# For KDE4 kde-config has been renamed to kde4-config
find_program(KDE4_KDECONFIG_EXECUTABLE
             NAMES kde4-config
             PATHS ${CMAKE_INSTALL_PREFIX}/bin ${_KDEDIRS} /usr/local/bin /usr/bin /opt/kde4/bin NO_DEFAULT_PATH)

if (NOT KDE4_KDECONFIG_EXECUTABLE)
   find_program(KDE4_KDECONFIG_EXECUTABLE NAMES kde4-config )
endif (NOT KDE4_KDECONFIG_EXECUTABLE)

if(KDE4_KDECONFIG_EXECUTABLE)
    exec_program(${KDE4_KDECONFIG_EXECUTABLE}
                 ARGS --prefix
                 OUTPUT_VARIABLE KDE4PREFIX)
endif(KDE4_KDECONFIG_EXECUTABLE)

if(NOT KDE4PREFIX)
    set(KDE4PREFIX ${KDE3PREFIX})
endif(NOT KDE4PREFIX)

configure_file (config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
add_definitions(${QT_DEFINITIONS} ${KDE3_DEFINITIONS})
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE3_INCLUDES})

set(DATA_INSTALL_DIR ${KDE3PREFIX}/share/apps)
add_subdirectory(style)
add_subdirectory(config)
add_subdirectory(themes)

=== config/CMakeLists.txt ===
set(kstyle_qtcurve_config_PART_SRCS qtcurveconfig.cpp exportthemedialog.cpp)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR})
kde3_add_ui_files(kstyle_qtcurve_config_PART_SRCS qtcurveconfigbase.ui)
kde3_add_kpart(kstyle_qtcurve_config ${kstyle_qtcurve_config_PART_SRCS})
kde3_automoc(${kstyle_qtcurve_config_PART_SRCS})
target_link_libraries(kstyle_qtcurve_config ${KDE3_KDEUI_LIBS} ${KDE3_KIO_LIBS} ${KDE3_KDECORE_LIBS} ${QT_QTGUI_LIBRARY})
install(TARGETS kstyle_qtcurve_config DESTINATION ${KDE3_LIB_DIR}/kde3)

=== style/CMakeLists.txt ===
set(qtcurve_SRCS qtcurve.cpp pixmaps.h)
add_definitions(-DQT_PLUGIN)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/common)
link_directories(${KDE3_LIB_DIR})
kde3_automoc(${qtcurve_SRCS})
add_library(qtcurve SHARED ${qtcurve_SRCS})
set_target_properties(qtcurve PROPERTIES PREFIX "")
target_link_libraries(qtcurve ${QT_QTGUI_LIBRARY} kdefx)
install(TARGETS qtcurve LIBRARY DESTINATION ${KDE3_LIB_DIR}/kde3/plugins/styles)
install(FILES qtcurve.themerc DESTINATION ${KDE3PREFIX}/share/apps/kstyle/themes)

=== themes/CMakeLists.txt ===
install(FILES Clear.qtcurve Dull_Glass.qtcurve Shiny_Glass.qtcurve Inverted.qtcurve Plain.qtcurve Glass.qtcurve
        Human.qtcurve Plastic.qtcurve Murrine.qtcurve Curve.qtcurve Clean.qtcurve DESTINATION ${DATA_INSTALL_DIR}/QtCurve)

install(FILES qtc_klearlooks.themerc DESTINATION ${DATA_INSTALL_DIR}/kstyle/themes)

## kde-style-qtcurve 0.59.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 set(DEBIAN_PACKAGE_SECTION "kde")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "55")
-set(CPACK_PACKAGE_VERSION_PATCH "2")
+set(CPACK_PACKAGE_VERSION_MINOR "59")
+set(CPACK_PACKAGE_VERSION_PATCH "3")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <Craig.Drummond@lycos.co.uk>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
@@ -54,4 +54,4 @@
 add_subdirectory(style)
 add_subdirectory(config)
 add_subdirectory(themes)
-
+add_subdirectory(colors)

=== colors/CMakeLists.txt ===
install(FILES QtCurve.kcsrc DESTINATION ${DATA_INSTALL_DIR}/kdisplay/color-schemes)

## kde-style-qtcurve 0.62.8

=== CMakeLists.txt ===
project(QtCurve-KDE4)
cmake_minimum_required(VERSION 2.4.0)

set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_GENERATOR "DEB;RPM;TGZ")
set(DEBIAN_PACKAGE_DESCRIPTION "QtCurve for Qt4/KDE4")
set(DEBIAN_PACKAGE_SECTION "kde4")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_PACKAGE_VERSION_MAJOR "0")
set(CPACK_PACKAGE_VERSION_MINOR "62")
set(CPACK_PACKAGE_VERSION_PATCH "8")
set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig_p_drummond@yahoo.co.uk>")
set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
include(CPack)

set(OLD_CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})

# Try to find kde4-config...
file(TO_CMAKE_PATH "$ENV{KDEDIRS}" _KDEDIRS)

find_program(KDE3CONFIG_EXECUTABLE NAMES kde-config
             PATHS $ENV{KDEDIR}/bin /opt/kde3/bin /opt/kde/bin NO_DEFAULT_PATH)

find_program(KDE3CONFIG_EXECUTABLE kde-config)

if(KDE3CONFIG_EXECUTABLE)
    exec_program(${KDE3CONFIG_EXECUTABLE}
                    ARGS --prefix
                    OUTPUT_VARIABLE KDE3PREFIX)
endif(KDE3CONFIG_EXECUTABLE)

find_program(KDE4_KDECONFIG_EXECUTABLE NAMES kde4-config
             PATHS ${CMAKE_INSTALL_PREFIX}/bin ${_KDEDIRS} /opt/kde4/bin NO_DEFAULT_PATH)

if (NOT KDE4_KDECONFIG_EXECUTABLE)
   find_program(KDE4_KDECONFIG_EXECUTABLE NAMES kde4-config )
endif (NOT KDE4_KDECONFIG_EXECUTABLE)

# Then set install prefix...
if (KDE4_KDECONFIG_EXECUTABLE)
    exec_program(${KDE4_KDECONFIG_EXECUTABLE}
                 ARGS --prefix
                 OUTPUT_VARIABLE CMAKE_INSTALL_PREFIX)
    exec_program(${KDE4_KDECONFIG_EXECUTABLE}
                    ARGS --prefix
                    OUTPUT_VARIABLE KDE4PREFIX)
endif (KDE4_KDECONFIG_EXECUTABLE)

if(NOT KDE3PREFIX)
    if(KDE4PREFIX)
        set(KDE3PREFIX ${KDE4PREFIX})
    else(KDE4PREFIX)
        set(KDE3PREFIX /usr)
    endif(KDE4PREFIX)
endif(NOT KDE3PREFIX)

if(NOT KDE4PREFIX)
    if(KDE3PREFIX)
        set(KDE4PREFIX ${KDE3PREFIX})
    else(KDE3PREFIX)
        set(KDE4PREFIX /usr)
    endif(KDE3PREFIX)
endif(NOT KDE4PREFIX)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

# search packages used by KDE
find_package(KDE4)
find_package(Qt4 REQUIRED)

configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

if (KDE4_FOUND)
    include(KDE4Defaults)

    message("** PREFIX=${CMAKE_INSTALL_PREFIX}")

    add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
    include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})
    set(QTCURVE_STYLE_DIR ${PLUGIN_INSTALL_DIR}/plugins/styles/)
    add_subdirectory(config)
    add_subdirectory(themes)
    add_subdirectory(colors)

    find_file(KWINGLOBALS_H kwinglobals.h ${KDE4_INCLUDES}) # kwinglobals.h is new for KDE4

    if (KWINGLOBALS_H)
        add_subdirectory(kwin)
        add_subdirectory(kwinconfig)
    else (KWINGLOBALS_H)
        message("** KWin headers not found - KWin decoration will not be built")
    endif (KWINGLOBALS_H)
else (KDE4_FOUND)
    set(CMAKE_INSTALL_PREFIX ${OLD_CMAKE_INSTALL_PREFIX})
    add_definitions(${QT_DEFINITIONS})
    include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
    set(QTCURVE_STYLE_DIR ${QT_PLUGINS_DIR}/styles/)
    message("** WARNING: KDE4 headers not found, QtCurve's config dialog will not be built")
endif (KDE4_FOUND)

add_subdirectory(style)

if (QTC_XBAR_SUPPORT)
    message("\n**************************************************************\n"
            "Information: XBar support enabled.\n"
            "**************************************************************\n")
endif (QTC_XBAR_SUPPORT)

=== style/CMakeLists.txt ===
if(QTC_XBAR_SUPPORT)
    set(qtcurve_SRCS qtcurve.cpp macmenu.cpp)
    set(qtcurve_MOC_HDRS qtcurve.h macmenu.h macmenu-dbus.h)
else (QTC_XBAR_SUPPORT)
    set(qtcurve_SRCS qtcurve.cpp)
    set(qtcurve_MOC_HDRS qtcurve.h)
endif (QTC_XBAR_SUPPORT)

add_definitions(-DQT_PLUGIN)
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${QT_INCLUDE_DIR}
                     ${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/common)
#kde4_add_plugin(qtcurve ${qtcurve_SRCS} )
qt4_automoc(${qtcurve_SRCS})
qt4_wrap_cpp(qtcurve_MOC_SRCS ${qtcurve_MOC_HDRS})
add_library(qtcurve SHARED ${qtcurve_SRCS} ${qtcurve_MOC_SRCS})
set_target_properties(qtcurve PROPERTIES PREFIX "")

if (KDE4_FOUND)
    install(FILES qtcurve.themerc DESTINATION ${DATA_INSTALL_DIR}/kstyle/themes)
    if (NOT QTC_NO_KDE4_LINKING)
        set(QTC_KDE_LIBS ${KDE4_KDEUI_LIBS})
        if (NOT QTC_DISABLE_KDEFILEDIALOG_CALLS)
            set(QTC_KFILEDIALOG_LIBS ${KDE4_KIO_LIBS} ${KDE4_KDECORE_LIBS} ${KDE4_KFILE_LIBS})
        endif (NOT QTC_DISABLE_KDEFILEDIALOG_CALLS)
    endif (NOT QTC_NO_KDE4_LINKING)
endif (KDE4_FOUND)

if(QTC_XBAR_SUPPORT)
    target_link_libraries(qtcurve ${QTC_KDE_LIBS} ${QTC_KFILEDIALOG_LIBS} ${QT_QTGUI_LIBRARY}
                                  ${QT_QTDBUS_LIBRARY} ${QT_QTCORE_LIBRARY} ${X11_X11_LIB})
else (QTC_XBAR_SUPPORT)
    target_link_libraries(qtcurve ${QTC_KDE_LIBS} ${QTC_KFILEDIALOG_LIBS} ${QT_QTGUI_LIBRARY}
                                  ${QT_QTCORE_LIBRARY} ${X11_X11_LIB})
endif (QTC_XBAR_SUPPORT)

install(TARGETS qtcurve DESTINATION ${QTCURVE_STYLE_DIR})

=== themes/CMakeLists.txt ===
install(FILES Silk.qtcurve Clear.qtcurve Dull_Glass.qtcurve Shiny_Glass.qtcurve Inverted.qtcurve Plain.qtcurve Glass.qtcurve
        Human.qtcurve Plastic.qtcurve Murrine.qtcurve Curve.qtcurve Clean.qtcurve Glow.qtcurve DESTINATION ${DATA_INSTALL_DIR}/QtCurve)

install(FILES qtc_klearlooks.themerc DESTINATION ${DATA_INSTALL_DIR}/kstyle/themes)

## kde-style-qtcurve 0.69.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 set(DEBIAN_PACKAGE_SECTION "kde4")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "62")
-set(CPACK_PACKAGE_VERSION_PATCH "8")
+set(CPACK_PACKAGE_VERSION_MINOR "69")
+set(CPACK_PACKAGE_VERSION_PATCH "1")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig_p_drummond@yahoo.co.uk>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
@@ -68,14 +68,16 @@
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )
 
 # search packages used by KDE
-find_package(KDE4)
+if (NOT QTC_QT_ONLY)
+    find_package(KDE4 REQUIRED)
+endif (NOT QTC_QT_ONLY)
 find_package(Qt4 REQUIRED)
 
 configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
 
-if (KDE4_FOUND)
+if (NOT QTC_QT_ONLY)
+    find_package(KDE4 REQUIRED)
     include(KDE4Defaults)
-
     message("** PREFIX=${CMAKE_INSTALL_PREFIX}")
 
     add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
@@ -84,6 +86,7 @@
     add_subdirectory(config)
     add_subdirectory(themes)
     add_subdirectory(colors)
+    add_subdirectory(po)
 
     find_file(KWINGLOBALS_H kwinglobals.h ${KDE4_INCLUDES}) # kwinglobals.h is new for KDE4
 
@@ -93,13 +96,12 @@
     else (KWINGLOBALS_H)
         message("** KWin headers not found - KWin decoration will not be built")
     endif (KWINGLOBALS_H)
-else (KDE4_FOUND)
+else (NOT QTC_QT_ONLY)
     set(CMAKE_INSTALL_PREFIX ${OLD_CMAKE_INSTALL_PREFIX})
     add_definitions(${QT_DEFINITIONS})
     include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
     set(QTCURVE_STYLE_DIR ${QT_PLUGINS_DIR}/styles/)
-    message("** WARNING: KDE4 headers not found, QtCurve's config dialog will not be built")
-endif (KDE4_FOUND)
+endif (NOT QTC_QT_ONLY)
 
 add_subdirectory(style)

=== colors/CMakeLists.txt ===
install(FILES QtCurve.colors DESTINATION ${DATA_INSTALL_DIR}/color-schemes)

=== kwin/CMakeLists.txt ===
# add_subdirectory(config)
set(kwin3_qtcurve_PART_SRCS qtcurvehandler.cpp qtcurveclient.cpp qtcurvebutton.cpp resizecorner.cpp)
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${QT_INCLUDE_DIR}
                     ${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_SOURCE_DIR}/style)
kde4_add_plugin(kwin3_qtcurve ${kwin3_qtcurve_PART_SRCS})
target_link_libraries(kwin3_qtcurve kdecorations ${KDE4_KDEUI_LIBS} ${X11_LIBRARIES})
install(TARGETS kwin3_qtcurve  DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES qtcurve.desktop  DESTINATION  ${DATA_INSTALL_DIR}/kwin/)

=== style/CMakeLists.txt ===
--- 
+++ 
@@ -15,15 +15,13 @@
 add_library(qtcurve SHARED ${qtcurve_SRCS} ${qtcurve_MOC_SRCS})
 set_target_properties(qtcurve PROPERTIES PREFIX "")
 
-if (KDE4_FOUND)
+if (NOT QTC_QT_ONLY)
     install(FILES qtcurve.themerc DESTINATION ${DATA_INSTALL_DIR}/kstyle/themes)
-    if (NOT QTC_NO_KDE4_LINKING)
-        set(QTC_KDE_LIBS ${KDE4_KDEUI_LIBS})
-        if (NOT QTC_DISABLE_KDEFILEDIALOG_CALLS)
-            set(QTC_KFILEDIALOG_LIBS ${KDE4_KIO_LIBS} ${KDE4_KDECORE_LIBS} ${KDE4_KFILE_LIBS})
-        endif (NOT QTC_DISABLE_KDEFILEDIALOG_CALLS)
-    endif (NOT QTC_NO_KDE4_LINKING)
-endif (KDE4_FOUND)
+    set(QTC_KDE_LIBS ${KDE4_KDEUI_LIBS})
+    if (NOT QTC_DISABLE_KDEFILEDIALOG_CALLS)
+        set(QTC_KFILEDIALOG_LIBS ${KDE4_KIO_LIBS} ${KDE4_KDECORE_LIBS} ${KDE4_KFILE_LIBS})
+    endif (NOT QTC_DISABLE_KDEFILEDIALOG_CALLS)
+endif (NOT QTC_QT_ONLY)
 
 if(QTC_XBAR_SUPPORT)
     target_link_libraries(qtcurve ${QTC_KDE_LIBS} ${QTC_KFILEDIALOG_LIBS} ${QT_QTGUI_LIBRARY}
@@ -33,5 +31,9 @@
                                   ${QT_QTCORE_LIBRARY} ${X11_X11_LIB})
 endif (QTC_XBAR_SUPPORT)
 
-install(TARGETS qtcurve DESTINATION ${QTCURVE_STYLE_DIR})
+if (NOT QTC_QT_ONLY)
+    install(TARGETS qtcurve DESTINATION ${QTCURVE_STYLE_DIR})
+else (NOT QTC_QT_ONLY)
+    install(TARGETS qtcurve LIBRARY DESTINATION ${QTCURVE_STYLE_DIR})
+endif (NOT QTC_QT_ONLY)

=== themes/CMakeLists.txt ===
install(FILES Silk.qtcurve Clear.qtcurve Dull_Glass.qtcurve Shiny_Glass.qtcurve Inverted.qtcurve Plain.qtcurve Glass.qtcurve
        Human.qtcurve Plastic.qtcurve Murrine.qtcurve Curve.qtcurve Clean.qtcurve Glow.qtcurve Agua.qtcurve Ozone.qtcurve DESTINATION ${DATA_INSTALL_DIR}/QtCurve)

install(FILES qtc_klearlooks.themerc DESTINATION ${DATA_INSTALL_DIR}/kstyle/themes)

## kde-style-qtcurve 1.0.2-1ubuntu2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,10 +6,10 @@
 set(DEBIAN_PACKAGE_DESCRIPTION "QtCurve for Qt4/KDE4")
 set(DEBIAN_PACKAGE_SECTION "kde4")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
-set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "69")
-set(CPACK_PACKAGE_VERSION_PATCH "1")
-set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig_p_drummond@yahoo.co.uk>")
+set(CPACK_PACKAGE_VERSION_MAJOR "1")
+set(CPACK_PACKAGE_VERSION_MINOR "0")
+set(CPACK_PACKAGE_VERSION_PATCH "2")
+set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@googlemail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
@@ -105,9 +105,4 @@
 
 add_subdirectory(style)
 
-if (QTC_XBAR_SUPPORT)
-    message("\n**************************************************************\n"
-            "Information: XBar support enabled.\n"
-            "**************************************************************\n")
-endif (QTC_XBAR_SUPPORT)

=== config/CMakeLists.txt ===
if (QTC_STYLE_SUPPORT)
    set(kstyle_qtcurve_config_PART_SRCS qtcurveconfig.cpp exportthemedialog.cpp)
else (QTC_STYLE_SUPPORT)
    set(kstyle_qtcurve_config_PART_SRCS qtcurveconfig.cpp)
endif (QTC_STYLE_SUPPORT)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDE_DIR})
kde4_add_ui_files(kstyle_qtcurve_config_PART_SRCS qtcurveconfigbase.ui stylepreview.ui)
kde4_add_plugin(kstyle_qtcurve_config ${kstyle_qtcurve_config_PART_SRCS})
target_link_libraries(kstyle_qtcurve_config ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY})
install(TARGETS kstyle_qtcurve_config DESTINATION ${PLUGIN_INSTALL_DIR} )

=== kwin/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # add_subdirectory(config)
-set(kwin3_qtcurve_PART_SRCS qtcurvehandler.cpp qtcurveclient.cpp qtcurvebutton.cpp resizecorner.cpp)
+set(kwin3_qtcurve_PART_SRCS qtcurvehandler.cpp qtcurveclient.cpp qtcurvebutton.cpp qtcurvesizegrip.cpp)
 include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${QT_INCLUDE_DIR}
                      ${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_SOURCE_DIR}/style)
 kde4_add_plugin(kwin3_qtcurve ${kwin3_qtcurve_PART_SRCS})

=== style/CMakeLists.txt ===
set(qtcurve_SRCS qtcurve.cpp macmenu.cpp)
set(qtcurve_MOC_HDRS qtcurve.h macmenu.h macmenu-dbus.h)

add_definitions(-DQT_PLUGIN)
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${QT_INCLUDE_DIR}
                     ${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/common)
#kde4_add_plugin(qtcurve ${qtcurve_SRCS} )
qt4_automoc(${qtcurve_SRCS})
qt4_wrap_cpp(qtcurve_MOC_SRCS ${qtcurve_MOC_HDRS})
add_library(qtcurve MODULE ${qtcurve_SRCS} ${qtcurve_MOC_SRCS})
set_target_properties(qtcurve PROPERTIES PREFIX "")

if (NOT QTC_QT_ONLY)
    install(FILES qtcurve.themerc DESTINATION ${DATA_INSTALL_DIR}/kstyle/themes)
    set(QTC_KDE_LIBS ${KDE4_KDEUI_LIBS})
    if (NOT QTC_DISABLE_KDEFILEDIALOG_CALLS)
        set(QTC_KFILEDIALOG_LIBS ${KDE4_KIO_LIBS} ${KDE4_KDECORE_LIBS} ${KDE4_KFILE_LIBS})
    endif (NOT QTC_DISABLE_KDEFILEDIALOG_CALLS)
endif (NOT QTC_QT_ONLY)

target_link_libraries(qtcurve ${QTC_KDE_LIBS} ${QTC_KFILEDIALOG_LIBS} ${QT_QTGUI_LIBRARY}
                              ${QT_QTDBUS_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTSVG_LIBRARY} ${X11_X11_LIB})


if (NOT QTC_QT_ONLY)
    install(TARGETS qtcurve DESTINATION ${QTCURVE_STYLE_DIR})
else (NOT QTC_QT_ONLY)
    install(TARGETS qtcurve LIBRARY DESTINATION ${QTCURVE_STYLE_DIR})
endif (NOT QTC_QT_ONLY)

=== themes/CMakeLists.txt ===
install(FILES Agua.qtcurve Curve.qtcurve Flat.qtcurve Human.qtcurve Inverted.qtcurve
              Klearlooks.qtcurve Murrine.qtcurve Ozone.qtcurve Plastic.qtcurve Silk.qtcurve
        DESTINATION ${DATA_INSTALL_DIR}/QtCurve)

=== debian/changelog ===
kde-style-qtcurve (1.0.2-1ubuntu2) lucid; urgency=low

  * Rebuild to fix broken pot file (LP: #529483)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 02 Mar 2010 23:22:29 +0100

kde-style-qtcurve (1.0.2-1ubuntu1) lucid; urgency=low

  [ Jonathan Thomas ]
  * Merge with Debian unstable, remaining changes:
    - Keep replaces/conflicts on old -kde4 packages
    - Keep usr/share/locale/tr/LC_MESSAGES/qtcurve.mo installed in 
      kde-style-qtcurve
    - Don't bump pkg-kde-tools to a version we don't have. (It's not required)

  [ Harald Sitter ]
  * i

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 02 Mar 2010 23:22:26 +0100

kde-style-qtcurve (1.0.2-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Update watch file.

  [ Fathi Boudra ]
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - Remove quilt build dependency.
    - Bump build-dependencies (debhelper, pkg-kde-tools, kdelibs5-dev and
      kdebase-workspace-dev).
    - Bump Standard-Version to 3.8.4 (no changes needed).
  * Update debian/copyright:
    - Update upstream author e-mail address.
    - Update copyright years.
  * Update debian/kde-style-qtcurve.install file.
  * Update debian/rules:
    - Enable parallel build (pass --parallel option to dh).
    - List missing files (pass --list-missing option to dh).
    - Update get-orig-source target to rename original tarball.

 -- Fathi Boudra <fabo@debian.org>  Sat, 13 Feb 2010 15:59:26 +0100

kde-style-qtcurve (0.69.2-2) unstable; urgency=low

  [ Pino Toscano ]
  * Add 02_bypass_braindead_buildsystem.diff:
    - disable "smart" kde3/kde4 prefix detection, which breaks when used on
      read-only home directories. (Closes: #541667)

 -- Fathi Boudra <fabo@debian.org>  Thu, 24 Dec 2009 14:09:20 +0100

kde-style-qtcurve (0.69.2-1ubuntu1) lucid; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Bump build-depends

  [ Jonathan Thomas ]
  * Merge with Debian unstable, remaining changes:
    - Keep replaces/conflicts on old -kde4 packages
    - Keep usr/share/locale/tr/LC_MESSAGES/qtcurve.mo installed in kde-style-qtcurve

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 10 Dec 2009 22:00:26 +0100

kde-style-qtcurve (0.69.1-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 15 Oct 2009 03:22:15 +0200

kde-style-qtcurve (0.69.0-0ubuntu1) karmic; urgency=low

  * New upstream release
    - Bump kdebase-workspace-dev and kdelibs5-dev to 4.3.2
    - Update kde-style-qtcurve.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 09 Oct 2009 18:43:34 +0200

kde-style-qtcurve (0.68.0-0ubuntu1) karmic; urgency=low

  [ Jonathan Thomas ]
  * Merge from Debian unstable, remaining changes:
    - Keep replaces/conflicts on old -kde4 packages
    - Keep build-dependency on quilt
  * New upstream release

  [ Alessandro Ghersi ]
  * Improve get-orig-source rule

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 27 Aug 2009 12:28:50 -0400

kde-style-qtcurve (0.67.5-2) unstable; urgency=low

  * Add 01_ftbfs_missing_terminating_characher_bug541667.diff
    - fix FTBFS: error: missing terminating " character.

 -- Fathi Boudra <fabo@debian.org>  Fri, 21 Aug 2009 21:13:43 +0200

kde-style-qtcurve (0.67.5-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control:
    - Bump build dependencies versions.
    - Suggest gtk2-engines-qtcurve instead of Recommends. (Closes: #437828)
  * Add debian/not-installed: translations are not installed yet.
  * Update debian/rules: cleanup since dh supports cmake.

 -- Fathi Boudra <fabo@debian.org>  Sun, 16 Aug 2009 09:35:03 +0200

kde-style-qtcurve (0.67.5-0ubuntu1) karmic; urgency=low

  * New upstream release
    - Bump kdelibs5-dev to 4.3.0
    - Update kde-style-qtcurve.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 12 Aug 2009 23:53:08 +0200

kde-style-qtcurve (0.65.2-0ubuntu1) karmic; urgency=low

  * New upstream release
    - Bump kdelibs5-dev to 4.2.95

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 02 Jul 2009 02:57:05 +0200

kde-style-qtcurve (0.65.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Tue, 30 Jun 2009 20:42:19 +0200

kde-style-qtcurve (0.65.0-1) unstable; urgency=low

  * New upstream release.
  * Set KDE Extras team in Maintainer field and myself in Uploaders field.
    (Closes: #529442)
  * Bump compat/debhelper to 7.
  * Update debian/control:
    - Add build dependencies:
      pkg-kde-tools, kdelibs5-dev, kdebase-workspace-dev and libx11-dev.
    - Bump Standard-Version to 3.8.2 (no changes needed).
    - Add Homepage, Vcs-Browser and Vcs-Svn fields.
    - Split widget style and window decoration in their own packages.
    - Rewrite descriptions.
  * Update debian/copyright: rewrite from scratch.
  * Update debian/rules: rewrite from scratch and use dh.
  * Add watch file.

 -- Fathi Boudra <fabo@debian.org>  Thu, 25 Jun 2009 10:47:07 +0200

kde-style-qtcurve (0.65.0-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #391426)
    - Bump kdelibs5-dev to 4.2.90
    - Bump Standards-Version to 3.8.2
   
 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 24 Jun 2009 02:46:32 +0200

kde-style-qtcurve (0.64.2-0ubuntu1) karmic; urgency=low

  [ Jonathan Thomas ]
  * New upstream release (LP: #385707)
  * Use kde.mk from pkg-kde-tools
  * Remove unnecessary build-dep on cmake, build-dep on the earliest version
    of kdelibs5-dev to depend on cmake

  [ Harald Sitter ]
  * Bump standards version to 3.8.1

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 10 Jun 2009 17:01:24 -0400

kde-style-qtcurve (0.62.8-0ubuntu1) jaunty; urgency=low

  * New upstream bugfix release (LP: #360469)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 13 Apr 2009 08:33:17 -0400

kde-style-qtcurve (0.62.7-0ubuntu1) jaunty; urgency=low

  * New upstream bugfix release (LP: #356247)


=== debian/control ===
Source: kde-style-qtcurve
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.13), cmake, pkg-kde-tools (>= 0.5),
 kdelibs5-dev (>= 4:4.3.4), kdebase-workspace-dev (>= 4:4.3.4), libx11-dev
Standards-Version: 3.8.4
Homepage: http://www.kde-look.org/content/show.php?content=40492
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kde-style-qtcurve/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kde-style-qtcurve/ubuntu

Package: kde-style-qtcurve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kwin-style-qtcurve
Suggests: gtk2-engines-qtcurve
Conflicts: kde4-style-qtcurve, kde4-style-qtcurve-kdeconfig
Replaces: kde4-style-qtcurve, kde4-style-qtcurve-kdeconfig
Description: Unified widget styles for KDE and GTK+
 QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
 look between KDE and GTK+ applications, which is easy on the eyes and visually
 pleasing.
 .
 This package contains the QtCurve widget style for KDE 4.
 .
 The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
 package.

Package: kwin-style-qtcurve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kde-style-qtcurve
Suggests: gtk2-engines-qtcurve
Description: Unified window decoration for KDE and GTK+
 QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
 look between KDE and GTK+ applications, which is easy on the eyes and visually
 pleasing.
 .
 This package contains the QtCurve window decoration for KWin.
 .
 The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
 package.

Package: qtcurve
Architecture: any
Depends: ${misc:Depends}, kde-style-qtcurve, kwin-style-qtcurve, gtk2-engines-qtcurve
Description: Unified window decoration for KDE and GTK+
 This is an empty dummy package which will drag the following packages:
  * kde-style-qtcurve
  * kwin-style-qtcurve
  * gtk2-engines-qtcurve
 in your system.

=== debian/rules ===
#!/usr/bin/make -f

DEB_KDE_LINK_WITH_AS_NEEDED := yes

%:
	dh --parallel --list-missing --with kde $@

get-orig-source:
	uscan --verbose --force-download --no-symlink
	mv ../QtCurve-KDE4-$(UPSTREAM_VERSION).tar.bz2 ../kde-style-qtcurve_$(UPSTREAM_VERSION).orig.tar.bz2

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://www.kde-look.org/content/download.php?content=40492&id=1 http://craigd.wikispaces.com/file/view/QtCurve-KDE4-([0-9.]*).tar.bz2

## kde-style-qtcurve 1.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set(DEBIAN_PACKAGE_SECTION "kde4")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
-set(CPACK_PACKAGE_VERSION_MINOR "0")
+set(CPACK_PACKAGE_VERSION_MINOR "5")
 set(CPACK_PACKAGE_VERSION_PATCH "2")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@googlemail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
@@ -105,4 +105,11 @@
 
 add_subdirectory(style)
 
-
+if (QTC_KWIN_MAX_BUTTON_HACK)
+    message("\n**************************************************************\n"
+            "Warning: You have enabled the hack to force drawing of maximise\n"
+            "         buttons for windows that can be minimised. This is a 100%\n"
+            "         hack, that may not work or compile, and may even crash\n"
+            "         kwin.\n"
+            "**************************************************************\n")
+endif (QTC_KWIN_MAX_BUTTON_HACK)

=== debian/changelog ===
kde-style-qtcurve (1.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Thu, 22 Jul 2010 09:48:45 +0300

kde-style-qtcurve (1.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 11 Jul 2010 09:20:39 +0300

kde-style-qtcurve (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standard-Version to 3.9.0 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Wed, 30 Jun 2010 10:24:35 +0300

kde-style-qtcurve (1.4.2-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Install the color scheme file QtCurveAgua.colors as well.

 -- Fathi Boudra <fabo@debian.org>  Sun, 30 May 2010 12:21:39 +0300

kde-style-qtcurve (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Thu, 20 May 2010 11:20:13 +0300

kde-style-qtcurve (1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 18 Apr 2010 09:24:09 +0300

kde-style-qtcurve (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Tue, 13 Apr 2010 12:33:28 +0300

kde-style-qtcurve (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Update installed files in kde-style-qtcurve package.

 -- Fathi Boudra <fabo@debian.org>  Tue, 23 Mar 2010 11:46:58 +0100

kde-style-qtcurve (1.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Fri, 26 Feb 2010 17:00:18 +0100

kde-style-qtcurve (0.69.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 11 Oct 2009 14:35:38 +0200

kde-style-qtcurve (0.68.1-1) unstable; urgency=low

  * New upstream release.
  * Cleanup debian/rules: dh supports kde.

 -- Fathi Boudra <fabo@debian.org>  Wed, 07 Oct 2009 14:22:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,20 @@
 Source: kde-style-qtcurve
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.13), cmake, pkg-kde-tools (>= 0.5),
- kdelibs5-dev (>= 4:4.3.4), kdebase-workspace-dev (>= 4:4.3.4), libx11-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
+ kdelibs5-dev (>= 4:4.3.4), kdebase-workspace-dev(>= 4:4.3.4), libx11-dev
+Standards-Version: 3.9.0
 Homepage: http://www.kde-look.org/content/show.php?content=40492
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kde-style-qtcurve/ubuntu
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kde-style-qtcurve/ubuntu
+Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kde-style-qtcurve/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kde-style-qtcurve/?op=log
 
 Package: kde-style-qtcurve
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: kwin-style-qtcurve
 Suggests: gtk2-engines-qtcurve
-Conflicts: kde4-style-qtcurve, kde4-style-qtcurve-kdeconfig
-Replaces: kde4-style-qtcurve, kde4-style-qtcurve-kdeconfig
 Description: Unified widget styles for KDE and GTK+
  QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
  look between KDE and GTK+ applications, which is easy on the eyes and visually

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,13 @@
 #!/usr/bin/make -f
 
 DEB_KDE_LINK_WITH_AS_NEEDED := yes
+UPSTREAM_VERSION ?= $(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 
 %:
-	dh --parallel --list-missing --with kde $@
+	dh $@ --parallel --list-missing --with kde
 
 get-orig-source:
 	uscan --verbose --force-download --no-symlink

## kde-style-qtcurve 1.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(QtCurve-KDE4)
-cmake_minimum_required(VERSION 2.4.0)
+cmake_minimum_required(VERSION 2.4.4)
 
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
 set(CPACK_GENERATOR "DEB;RPM;TGZ")
@@ -7,9 +7,9 @@
 set(DEBIAN_PACKAGE_SECTION "kde4")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
-set(CPACK_PACKAGE_VERSION_MINOR "5")
-set(CPACK_PACKAGE_VERSION_PATCH "2")
-set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@googlemail.com>")
+set(CPACK_PACKAGE_VERSION_MINOR "8")
+set(CPACK_PACKAGE_VERSION_PATCH "4")
+set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
@@ -41,9 +41,11 @@
 
 # Then set install prefix...
 if (KDE4_KDECONFIG_EXECUTABLE)
-    exec_program(${KDE4_KDECONFIG_EXECUTABLE}
-                 ARGS --prefix
-                 OUTPUT_VARIABLE CMAKE_INSTALL_PREFIX)
+    if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+        exec_program(${KDE4_KDECONFIG_EXECUTABLE}
+                     ARGS --prefix
+                     OUTPUT_VARIABLE CMAKE_INSTALL_PREFIX)
+    endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     exec_program(${KDE4_KDECONFIG_EXECUTABLE}
                     ARGS --prefix
                     OUTPUT_VARIABLE KDE4PREFIX)
@@ -78,7 +80,6 @@
 if (NOT QTC_QT_ONLY)
     find_package(KDE4 REQUIRED)
     include(KDE4Defaults)
-    message("** PREFIX=${CMAKE_INSTALL_PREFIX}")
 
     add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
     include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})
@@ -105,11 +106,22 @@
 
 add_subdirectory(style)
 
+message("** PREFIX=${CMAKE_INSTALL_PREFIX}\n")
+
 if (QTC_KWIN_MAX_BUTTON_HACK)
-    message("\n**************************************************************\n"
+    message("**************************************************************\n"
             "Warning: You have enabled the hack to force drawing of maximise\n"
             "         buttons for windows that can be minimised. This is a 100%\n"
             "         hack, that may not work or compile, and may even crash\n"
             "         kwin.\n"
             "**************************************************************\n")
 endif (QTC_KWIN_MAX_BUTTON_HACK)
+
+if (QTC_ENABLE_PARENTLESS_DIALOG_FIX_SUPPORT)
+    message("**************************************************************\n"
+            "Warning: You have enabled support for the 'fix parentless dialogs'\n"
+            "         option. This is known to BREAK some applications. Please\n"
+            "         DO NOT report errors to application authors when you have\n"
+            "         this enabled. Please reconsider DISABLING this option.\n"
+            "**************************************************************\n")
+endif (QTC_ENABLE_PARENTLESS_DIALOG_FIX_SUPPORT)

=== debian/changelog ===
kde-style-qtcurve (1.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 30 Jan 2011 18:59:27 +0200

kde-style-qtcurve (1.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 26 Dec 2010 13:43:57 +0200

kde-style-qtcurve (1.8.1-1) unstable; urgency=low

  * New upstream release. (Closes: #605747)

 -- Fathi Boudra <fabo@debian.org>  Sat, 11 Dec 2010 14:44:06 +0200

kde-style-qtcurve (1.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Wed, 06 Oct 2010 15:03:39 +0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
  kdelibs5-dev (>= 4:4.3.4), kdebase-workspace-dev(>= 4:4.3.4), libx11-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://www.kde-look.org/content/show.php?content=40492
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kde-style-qtcurve/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kde-style-qtcurve/?op=log

## kde-style-qtcurve 1.8.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
 set(CPACK_PACKAGE_VERSION_MINOR "8")
-set(CPACK_PACKAGE_VERSION_PATCH "4")
+set(CPACK_PACKAGE_VERSION_PATCH "7")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")

=== style/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,17 @@
-set(qtcurve_SRCS qtcurve.cpp macmenu.cpp)
-set(qtcurve_MOC_HDRS qtcurve.h macmenu.h macmenu-dbus.h)
+set(qtcurve_style_common_SRCS
+        ${CMAKE_CURRENT_SOURCE_DIR}/../common/common.c
+        ${CMAKE_CURRENT_SOURCE_DIR}/../common/config_file.c
+        ${CMAKE_CURRENT_SOURCE_DIR}/../common/colorutils.c )
+set_source_files_properties(${qtcurve_style_common_SRCS} PROPERTIES LANGUAGE CXX)
+
+if (Q_WS_X11)
+    set(qtcurve_SRCS qtcurve.cpp windowmanager.cpp macmenu.cpp blurhelper.cpp utils.cpp shortcuthandler.cpp ${qtcurve_style_common_SRCS})
+    set(qtcurve_MOC_HDRS qtcurve.h windowmanager.h macmenu.h macmenu-dbus.h blurhelper.h shortcuthandler.h)
+else (Q_WS_X11)
+    set(qtcurve_SRCS qtcurve.cpp windowmanager.cpp blurhelper.cpp utils.cpp shortcuthandler.cpp ${qtcurve_style_common_SRCS})
+    set(qtcurve_MOC_HDRS qtcurve.h windowmanager.h blurhelper.h shortcuthandler.h)
+endif (Q_WS_X11)
+
 
 add_definitions(-DQT_PLUGIN)
 include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${QT_INCLUDE_DIR}
@@ -14,12 +26,17 @@
     install(FILES qtcurve.themerc DESTINATION ${DATA_INSTALL_DIR}/kstyle/themes)
     set(QTC_KDE_LIBS ${KDE4_KDEUI_LIBS})
     if (NOT QTC_DISABLE_KDEFILEDIALOG_CALLS)
-        set(QTC_KFILEDIALOG_LIBS ${KDE4_KIO_LIBS} ${KDE4_KDECORE_LIBS} ${KDE4_KFILE_LIBS})
+        set(QTC_KFILEDIALOG_LIBS ${KDE4_KIO_LIBS} ${KDE4_KDECORE_LIBS})
     endif (NOT QTC_DISABLE_KDEFILEDIALOG_CALLS)
 endif (NOT QTC_QT_ONLY)
 
-target_link_libraries(qtcurve ${QTC_KDE_LIBS} ${QTC_KFILEDIALOG_LIBS} ${QT_QTGUI_LIBRARY}
-                              ${QT_QTDBUS_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTSVG_LIBRARY} ${X11_X11_LIB})
+if (Q_WS_X11)
+    target_link_libraries(qtcurve ${QTC_KDE_LIBS} ${QTC_KFILEDIALOG_LIBS} ${QT_QTGUI_LIBRARY}
+                                ${QT_QTDBUS_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTSVG_LIBRARY} ${X11_X11_LIB})
+else (Q_WS_X11)
+    target_link_libraries(qtcurve ${QTC_KDE_LIBS} ${QTC_KFILEDIALOG_LIBS} ${QT_QTGUI_LIBRARY}
+                                  ${QT_QTCORE_LIBRARY} ${QT_QTSVG_LIBRARY})
+endif (Q_WS_X11)
 
 
 if (NOT QTC_QT_ONLY)

=== debian/changelog ===
kde-style-qtcurve (1.8.7-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 01 May 2011 13:38:42 +0300

kde-style-qtcurve (1.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 20 Feb 2011 13:58:28 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
  kdelibs5-dev (>= 4:4.3.4), kdebase-workspace-dev(>= 4:4.3.4), libx11-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.kde-look.org/content/show.php?content=40492
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kde-style-qtcurve/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kde-style-qtcurve/?op=log

## kde-style-qtcurve 1.8.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
 set(CPACK_PACKAGE_VERSION_MINOR "8")
-set(CPACK_PACKAGE_VERSION_PATCH "7")
+set(CPACK_PACKAGE_VERSION_PATCH "9")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")

=== debian/changelog ===
kde-style-qtcurve (1.8.9-1) unstable; urgency=low

  * New upstream release.
  * New maintainer of the package,
    Fathi Boudra is removed from Uploaders field.
    (Closes: #641953)
  * Vcs-* fields in debian/control were updated.
  * File debian/copyright was rewritten in according to DEP-5.
    All files were rechecked, copyright information was updated.
  * Short and long descriptions of packages were updated.
  * Added new package qtcurve-i18n with translation files.
  * Added file debian/patches/03_fix_spelling_errors.diff
    (Closes: #648108) (LP: #852957)

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 20 Jan 2012 23:51:07 +0200

=== debian/control ===
Source: kde-style-qtcurve
Section: kde
Priority: optional
Maintainer: Boris Pek <tehnick-8@mail.ru>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev (>= 4:4.3.4), kdebase-workspace-dev(>= 4:4.3.4), libx11-dev
Standards-Version: 3.9.2
Homepage: http://www.kde-look.org/content/show.php?content=40492
Vcs-Git: git://github.com/tehnick/kde-style-qtcurve-debian.git
Vcs-Browser: https://github.com/tehnick/kde-style-qtcurve-debian

Package: kde-style-qtcurve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kwin-style-qtcurve
Suggests: gtk2-engines-qtcurve
Description: QtCurve widget style for KDE 4
 This package contains the QtCurve widget style for KDE 4.
 .
 QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
 look between KDE and GTK+ applications, which is easy on the eyes and visually
 pleasing.
 .
 The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
 package.

Package: kwin-style-qtcurve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kde-style-qtcurve
Suggests: gtk2-engines-qtcurve
Description: QtCurve window decoration for KWin
 This package contains the QtCurve window decoration for KWin.
 .
 QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
 look between KDE and GTK+ applications, which is easy on the eyes and visually
 pleasing.
 .
 The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
 package.

Package: qtcurve-i18n
Architecture: all
Depends: ${misc:Depends}
Description: Translation files for QtCurve
 This package contains translation files for QtCurve.
 .
 QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
 look between KDE and GTK+ applications, which is easy on the eyes and visually
 pleasing.

Package: qtcurve
Architecture: any
Depends: ${misc:Depends},
 kde-style-qtcurve, kwin-style-qtcurve,
 gtk2-engines-qtcurve, qtcurve-i18n
Description: Unified window decoration for KDE and GTK+ (meta-package)
 This package installs all packages related with QtCurve:
  * kde-style-qtcurve
  * kwin-style-qtcurve
  * gtk2-engines-qtcurve
  * qtcurve-i18n
 .
 QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
 look between KDE and GTK+ applications, which is easy on the eyes and visually
 pleasing.

## kde-style-qtcurve 1.8.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
 set(CPACK_PACKAGE_VERSION_MINOR "8")
-set(CPACK_PACKAGE_VERSION_PATCH "9")
+set(CPACK_PACKAGE_VERSION_PATCH "11")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")

=== debian/changelog ===
kde-style-qtcurve (1.8.11-1) unstable; urgency=low

  * Update to stable release 1.8.11.
  * Bumped Standards-Version to 3.9.3.
  * URL in Format field was updated in debian/copyright.
  * Meta-package qtcurve was moved to new archive section metapackages.
  * Package qtcurve-i18n was moved to archive section localization.
  * Added string `DM-Upload-Allowed: yes' in debian/control.

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 03 Mar 2012 01:14:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,21 @@
 Section: kde
 Priority: optional
 Maintainer: Boris Pek <tehnick-8@mail.ru>
-Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
- kdelibs5-dev (>= 4:4.3.4), kdebase-workspace-dev(>= 4:4.3.4), libx11-dev
-Standards-Version: 3.9.2
+Build-Depends: cmake,
+               debhelper (>= 7.4.15),
+               kdebase-workspace-dev(>= 4:4.3.4),
+               kdelibs5-dev (>= 4:4.3.4),
+               libx11-dev,
+               pkg-kde-tools (>= 0.6.4)
+Standards-Version: 3.9.3
+DM-Upload-Allowed: yes
 Homepage: http://www.kde-look.org/content/show.php?content=40492
 Vcs-Git: git://github.com/tehnick/kde-style-qtcurve-debian.git
 Vcs-Browser: https://github.com/tehnick/kde-style-qtcurve-debian
 
 Package: kde-style-qtcurve
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: kwin-style-qtcurve
 Suggests: gtk2-engines-qtcurve
 Description: QtCurve widget style for KDE 4
@@ -26,7 +31,7 @@
 
 Package: kwin-style-qtcurve
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: kde-style-qtcurve
 Suggests: gtk2-engines-qtcurve
 Description: QtCurve window decoration for KWin
@@ -40,6 +45,7 @@
  package.
 
 Package: qtcurve-i18n
+Section: localization
 Architecture: all
 Depends: ${misc:Depends}
 Description: Translation files for QtCurve
@@ -50,10 +56,13 @@
  pleasing.
 
 Package: qtcurve
+Section: metapackages
 Architecture: any
-Depends: ${misc:Depends},
- kde-style-qtcurve, kwin-style-qtcurve,
- gtk2-engines-qtcurve, qtcurve-i18n
+Depends: gtk2-engines-qtcurve,
+         kde-style-qtcurve,
+         kwin-style-qtcurve,
+         qtcurve-i18n,
+         ${misc:Depends}
 Description: Unified window decoration for KDE and GTK+ (meta-package)
  This package installs all packages related with QtCurve:
   * kde-style-qtcurve
